﻿class Romans:
    #Define the getter of the property number
    def getNumber(self):
        return self._number

    #Define the setter of the property number
    def setNumber(self, value):
        if value >=1 and value <= 5:
            self._number = value
        else:
            raise ValueError("Number not recognized")

    #Define the property number
    number = property(getNumber, setNumber)

    #Define the getter of the property roman
    def getRoman(self):
        number2roman = {1:"I", 2:"II", 3:"III", 4:"IV", 5:"V"}
        return number2roman[self._number]

    #Define the setter of the property roman
    def setRoman(self, value):
        roman2number = {"I":1, "II":2, "III":3, "IV":4, "V":5}
        if value in roman2number:
            self._number = roman2number[value]
        else:
            raise ValueError("Roman numeral not recognized")

    #Define the property roman
    roman = property(getRoman, setRoman)

#Main code starts here
x = Romans()

x.number = 3
print(x.number)     #It displays: 3
print(x.roman)      #It displays: III

x.roman = "V"
print(x.number)     #It displays: 5
print(x.roman)      #It displays: V
