﻿class FahrenheitToCelsius:
    #Define the constructor
    def __init__(self, value):
        self.temperature = value  #Initial value for the property temperature

    def getTemperature(self):
        return 5.0 / 9 * (self._temperature - 32)

    def setTemperature(self, value):
        if value >= -459.67:
            self._temperature = value
        else:
            raise ValueError("There is no temperature below -459.67")

    #Define the property temperature
    temperature = property(getTemperature, setTemperature)

#Main code starts here
x = FahrenheitToCelsius(-50)  #Create object x

print(x.temperature)          #This calls the method getTemperature()
print(x.getTemperature())     #This also calls the method getTemperature()

x.setTemperature(-70)         #This calls the method setTemperature()
x.temperature = -70           #This also calls the method setTemperature()
x.temperature = -500          #This also calls the method setTemperature()
                              #and throws an error.
