﻿class SchoolMember:
    #Define the constructor
    def __init__(self, name, age):
        self.name = name
        self.age = age
        print("A school member was initialized")

class Teacher(SchoolMember):
    #Define the constructor
    def __init__(self, name, age, salary):
        #Call the constructor of the parent class SchoolMember
        super().__init__(name, age)

        self.salary = salary   #This is an additional field for this class

        #This is an additional statement for this constructor
        print("A teacher was initialized")

    #This is an additional method for this class
    def display_values(self):
        print("Name:", self.name)
        print("Age:", self.age)
        print("Salary:", self.salary)

class Student(SchoolMember):
    #Define the constructor
    def __init__(self, name, age, final_grade):
        #Call the constructor of the parent class SchoolMember
        super().__init__(name, age)

        self.final_grade = final_grade   #This is an additional field for this class

        #This is an additional statement for this constructor
        print("A student was initialized")

    #This is an additional method for this class
    def display_values(self):
        print("Name:", self.name)
        print("Age:", self.age)
        print("Final grade:", self.final_grade)

#Main code starts here
teacher1 = Teacher("Mr. John Scott", 43, 35000)
teacher2 = Teacher("Mrs. Ann Carter", 45, 32000)

student1 = Student("Peter Nelson", 14, "A")
student2 = Student("Helen Morgan", 13, "B")

teacher1.display_values()
teacher2.display_values()
student1.display_values()
student2.display_values()
